<div class="container">
	<div class="row">
		<!-- <h3>Stall Managament</h3> -->
		<h3>Gestione Banco</h3>
	</div>

	<app-alert></app-alert>

	<div class="row">
		<h4>Operations</h4>
	</div>
	
	<div class="row">
		<div class="col-sm">

			<a class="btn btn-success btn-add-operation" (click)="addStall();">Add</a>

		</div>
    </div>	
    

		<div class="row">
			<table class="table table-hover">
				<thead>
					<tr>
					<th scope="col">#</th>
					<th scope="col">id</th>
					<th scope="col">name</th>
					<th scope="col">city</th>
					<th scope="col">street/square</th>
					<th scope="col">appointment</th>
					<th scope="col">description</th>
					<th scope="col">Edit</th>
					<th scope="col">Delete</th>
					</tr>
				</thead>
				<tbody *ngFor="let stall of stalls; index as i">
					<tr>
						<td>{{ i + 1 }}</td>
						<td>{{ stall.id }}</td>
						<td>{{ stall.name ? stall.name : "(no data)" }}</td>
						<td>{{ stall.city ? stall.city : "(no data)" }}</td>
						<td>{{ stall.street_square ? stall.street_square : "(no data)" }}</td>
						<td>{{ stall.appointment ? stall.appointment : "(no data)" }}</td>
						<td>{{ stall.description ? stall.description : "(no data)" }}</td>
						<td><a class="btn btn-warning" (click)="editStall(stall)">edit</a></td>
						<td><a class="btn btn-danger" (click)="deleteStall(stall)">delete</a></td>
					</tr>
				</tbody>
			</table>
        </div>
        
    </div>
    